stages:
  - prepare
  - build
  - cleanup

preapre_sanity:
  only: 
    - master 
  stage: prepare
  script:
    - echo "Preparaing sanity ✨ vercel stuff"

build_cms:
  stage: build
  only:
    - merge_requests
  script:
    echo "building SANITY 🚀"
  environment:
    name: development
    # url: http://www.google.com
    on_stop: dataset_cleanup

dataset_cleanup:
  stage: cleanup
  when: manual
  only:
    - merge_requests
  script:
    echo "deleting an environment 🚩🚩"
  environment:
    name: development
    action: stop

